﻿.betslip-footer {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    border-top: 1px solid var(--system-border-on-elevation-tertiary);
    background: var(--system-bg-elevation-layer-1);
    overflow: hidden;
    border-bottom-right-radius: var(--radius-md,6px);
    border-bottom-left-radius: var(--radius-md,6px)
}

.betslip-footer__option {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 8px;
    padding: 8px;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    color: var(--system-text-on-elevation-secondary);
    cursor: pointer;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px
}

.betslip-footer__option--selected {
    color: var(--system-text-on-elevation-brand-primary)
}

.betslip-footer__option:not(:last-child) {
    border-right: 1px solid var(--system-border-on-elevation-tertiary)
}

@media only screen and (max-width: 1279px) {
    .betslip-footer {
        border-radius: 0
    }
}

.betslip-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 4px;
    width: 100%;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    padding: 4px 12px;
    background-color: var(--component-top-nav-bg-body);
    height: 40px;
    padding: 6px 12px
}

.betslip-header__title {
    color: var(--system-text-on-color-primary);
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    text-transform: capitalize;
    -webkit-box-flex: 1;
    -ms-flex: 1 1 0px;
    flex: 1 1 0
}

.betslip-header .betslip-type-switcher {
    padding: 2px;
    border-radius: var(--radius-md,6px);
    background-color: var(--component-top-nav-bg-layer-1)
}

.betslip-header .betslip-type-switcher, .betslip-header .betslip-type-switcher__option {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.betslip-header .betslip-type-switcher__option {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-width: 68px;
    padding: 4px 8px;
    color: var(--component-top-nav-text-primary);
    background-color: transparent;
    cursor: pointer;
    border-radius: var(--radius-sm,4px);
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    text-transform: capitalize;
    border: 1px solid transparent;
    -webkit-transition: color .2s ease;
    transition: color .2s ease
}

.betslip-header .betslip-type-switcher__option--selected {
    color: var(--system-text-on-elevation-brand-primary);
    background-color: var(--system-bg-elevation-layer-1);
    border-color: var(--system-border-on-elevation-tertiary);
    font-weight: 600;
    font-size: 12px
}

.betslip-header .preview-toggle {
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    color: var(--system-graphics-on-brand);
    -webkit-box-flex: 1;
    -ms-flex: 1 1 0px;
    flex: 1 1 0;
    cursor: pointer;
    text-align: right
}

.betslip-header .preview-toggle-text {
    display: inline-block;
    margin-right: 4px;
    color: var(--component-button-tertiary-on-color-text);
    font-weight: 600;
    font-size: 14px;
    line-height: 20px;
    text-transform: capitalize
}

.betslip-header .preview-toggle-text + .toggle-icon {
    -webkit-transform: translateY(-1px);
    transform: translateY(-1px)
}

.betslip-header-mobile {
    --text-switch-width: 120px;
    --sb-toggle-switch--text__button--after__background-color: var(--system-bg-brand);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    height: 56px;
    padding: 12px;
    background-color: var(--component-top-nav-bg-body-inverted);
    border-top-right-radius: 20px;
    border-top-left-radius: 20px
}

.betslip-header-mobile .close-activator {
    max-width: 32px;
    color: var(--component-button-primary-graphics);
    border-radius: 50%
}

.betslip-header-mobile .clear-button, .betslip-header-mobile .close-activator {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    padding: 8px;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background-color: var(--system-bg-brand);
    cursor: pointer
}

.betslip-header-mobile .clear-button {
    gap: 4px;
    color: var(--component-button-primary-text);
    border-radius: 20px;
    font-weight: 600;
    font-size: 12px;
    line-height: 16px
}

.betslip-header-mobile .betslip-type-switcher .sb-toggle-switch__button:after {
    background-color: var(--sb-toggle-switch--text__checked__button--after__background-color)
}

.betslip-header-mobile .betslip-type-switcher .sb-toggle-switch__button:after, .betslip-header-mobile .betslip-type-switcher .sb-toggle-switch__button:before, .betslip-header-mobile .betslip-type-switcher .sb-toggle-switch__text-wrapper {
    height: 32px
}

.multi-betslip-controls {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 100%;
    height: 20px;
    padding-left: 12px;
    background-color: var(--component-top-nav-bg-menu)
}

.multi-betslip-controls .icon {
    margin-right: 8px;
    color: var(--component-top-nav-graphics-primary);
    cursor: pointer
}

.multi-betslip-controls .icon--disabled {
    color: var(--component-top-nav-graphics-secondary);
    cursor: not-allowed
}

.multi-betslip-controls__pill {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    width: 40px;
    height: 16px;
    font-weight: 600;
    font-size: 11px;
    line-height: 16px;
    color: var(--component-top-nav-text-secondary-bold);
    cursor: pointer
}

    .multi-betslip-controls__pill:after {
        content: "";
        position: absolute;
        top: 0;
        left: 50%;
        display: block;
        border-radius: 4px;
        -webkit-transform: translateX(-50%);
        transform: translateX(-50%);
        -webkit-transition: width .1s ease-in;
        transition: width .1s ease-in
    }

    .multi-betslip-controls__pill:hover:after {
        width: 28px;
        height: 16px;
        background-color: var(--component-top-nav-bg-layer-1);
        opacity: .64
    }

    .multi-betslip-controls__pill:hover {
        color: var(--component-top-nav-text-primary)
    }

.multi-betslip-controls__pill--selected {
    color: var(--component-top-nav-text-primary);
    pointer-events: none
}

    .multi-betslip-controls__pill--selected:after {
        width: 40px;
        height: 16px;
        background-color: var(--component-top-nav-bg-layer-1)
    }

    .multi-betslip-controls__pill--selected:hover:after {
        background-color: var(--component-top-nav-bg-body)
    }

.multi-betslip-controls__pill--has-selections {
    color: var(--component-top-nav-text-primary)
}

.multi-betslip-controls__pill-number {
    z-index: 1
}

@-webkit-keyframes moveTickets-data-v-5f26f828 {
    0%,to {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    50% {
        -webkit-transform: translateX(-73px);
        transform: translateX(-73px)
    }

    to {
        -webkit-transform: translateX(-73px);
        transform: translateX(-73px)
    }
}

@keyframes moveTickets-data-v-5f26f828 {
    0%,to {
        -webkit-transform: translateX(0);
        transform: translateX(0)
    }

    50% {
        -webkit-transform: translateX(-73px);
        transform: translateX(-73px)
    }

    to {
        -webkit-transform: translateX(-73px);
        transform: translateX(-73px)
    }
}

.betslip-submit-animation.is-safari .tickets-animation, .betslip-submit-animation:not(.is-safari) #tickets {
    -webkit-animation: moveTickets-data-v-5f26f828 1s ease-out infinite;
    animation: moveTickets-data-v-5f26f828 1s ease-out infinite
}

.circle {
    fill: var(--system-bg-elevation-layer-2-hover)
}

.neutral-base {
    fill: var(--assets-neutral-base)
}

.neutral-level-1 {
    fill: var(--assets-neutral-level-1)
}

.neutral-level-3 {
    fill: var(--assets-neutral-level-3)
}

.betslip-submitting {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background: var(--system-bg-elevation-layer-1);
    border-radius: 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
    height: 240px;
    min-width: 300px;
    max-width: 95vw
}

.betslip-submitting--mobile {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}

@media only screen and (min-width: 1280px) {
    .betslip-submitting {
        height: 659px;
        max-height: calc(var(--vh)*90);
        border-radius: 6px;
        position: static;
        top: unset;
        left: unset;
        -webkit-transform: none;
        transform: none;
        min-width: unset;
        max-width: unset
    }
}

.betslip-submitting-overlay {
    position: fixed;
    z-index: 3;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.48);
    overflow: hidden
}

.betslip-acceptance-status-message {
    font-weight: 400;
    font-size: 12px;
    color: var(--system-text-on-elevation-tertiary-on-body);
    text-align: center;
    padding: 16px 24px
}

.betslip-submitting-animation {
    position: relative;
    left: 36px
}

.animation-mobile-wrapper {
    position: relative;
    width: 100%;
    padding: 12px 48px 6px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    background-color: var(--system-bg-elevation-layer-2);
    border-radius: 20px 20px 0 0
}

    .animation-mobile-wrapper:before {
        content: "";
        position: absolute;
        top: calc(100% - 32px);
        right: 0;
        left: 0;
        height: 64px;
        border-radius: 50%;
        background-color: var(--system-bg-elevation-layer-2);
        z-index: -1
    }

.payout-summary {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    line-height: 16px;
    margin-bottom: 8px;
    background-color: var(--system-bg-elevation-layer-2);
    border-radius: 4px
}

.payout-summary__simple, .payout-summary__system {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    width: 100%;
    padding: 8px 12px;
    -webkit-transition: padding .2s ease;
    transition: padding .2s ease
}

@media only screen and (max-width: 1279px) {
    .payout-summary__simple, .payout-summary__system {
        padding: 16px 12px
    }
}

.payout-summary__simple:has(+.payout-summary__system) {
    padding-bottom: 2px
}

.payout-summary__simple + .payout-summary__system {
    padding-top: 0
}

.payout-summary__label {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center
}

.payout-summary__simple {
    color: var(--system-text-on-elevation-primary)
}

.payout-summary__simple .payout-summary__label {
    position: relative;
    font-weight: 600;
    font-size: 12px;
    line-height: 1.571;
    white-space: nowrap;
    text-transform: capitalize
}

@media only screen and (max-width: 1279px) {
    .payout-summary__simple .payout-summary__label {
        font-weight: 600;
        font-size: 14px
    }
}

.payout-summary__simple .payout-summary__amount {
    font-weight: 600;
    font-size: 12px;
    line-height: 1.571
}

@media only screen and (max-width: 1279px) {
    .payout-summary__simple .payout-summary__amount {
        font-weight: 600;
        font-size: 14px
    }
}

.payout-summary__system {
    color: var(--system-text-on-elevation-primary)
}

.payout-summary__system .payout-summary__label {
    font-weight: 400;
    font-size: 12px;
    line-height: 16px;
    white-space: nowrap;
    text-transform: capitalize
}

.payout-summary__system .payout-summary__amount {
    font-weight: 600;
    font-size: 12px;
    line-height: 16px
}

.payout-summary__chevron {
    margin-left: 4px;
    cursor: pointer
}

.payout-summary__currency {
    color: var(--system-text-on-elevation-tertiary);
    font-weight: 400;
    font-size: 10px;
    line-height: 1.2;
    margin-left: 2px
}

.payout-summary__box {
    padding: 4px 12px 16px
}

.payout-summary__description-row {
    color: var(--system-text-on-elevation-tertiary);
    font-weight: 400;
    font-size: 10px;
    line-height: 1.2;
    margin-top: 12px
}

.payout-summary__description-header {
    color: var(--system-text-on-elevation-primary);
    display: block;
    font-weight: 400;
    font-size: 10px;
    line-height: 1.2;
    text-transform: uppercase
}

.payout-summary-toggle--enter-active, .payout-summary-toggle--leave-active {
    -webkit-transform-origin: center top;
    transform-origin: center top;
    -webkit-transition: all .2s ease;
    transition: all .2s ease
}

.payout-summary-toggle--enter {
    opacity: .2;
    -webkit-transform: scaleY(.6) translateY(0);
    transform: scaleY(.6) translateY(0)
}

.payout-summary-toggle--leave-to {
    opacity: 0;
    -webkit-transform: scaleY(0) translateY(0);
    transform: scaleY(0) translateY(0)
}

.uppercase {
    text-transform: uppercase !important
}

.total-quota {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 8px;
    color: var(--system-text-on-elevation-primary);
    font-weight: 600;
    font-size: 14px;
    line-height: 18px
}

.total-quota .total-quota-label {
    text-transform: capitalize
}

.betslip-stake-input.betslip-stake-input {
    height: 24px;
    min-height: unset;
    margin-bottom: 0;
    position: relative
}

    .betslip-stake-input.betslip-stake-input .input__field {
        width: 72px;
        height: 24px;
        padding: 3px 4px;
        margin: 0;
        border-radius: var(--radius-sm,4px);
        border: 1px solid var(--system-border-on-elevation-secondary);
        background: var(--system-bg-elevation-layer-1);
        color: var(--system-text-on-elevation-secondary);
        -webkit-transition: border-color .12s linear;
        transition: border-color .12s linear;
        font-weight: 600;
        font-size: 12px;
        line-height: 1.5;
        text-align: right
    }

        .betslip-stake-input.betslip-stake-input .input__field:focus {
            border-color: var(--system-border-on-elevation-primary)
        }

@media only screen and (max-width: 1279px) {
    .betslip-stake-input.betslip-stake-input {
        height: 48px;
        width: 100%
    }

        .betslip-stake-input.betslip-stake-input .input__field {
            height: 44px;
            width: 100%;
            padding: 8px 48px 4px 12px;
            color: var(--system-text-on-elevation-primary);
            font-weight: 600;
            font-size: 16px;
            line-height: 20px;
            border: 2px solid var(--system-border-on-elevation-primary)
        }

        .betslip-stake-input.betslip-stake-input .input__unit {
            top: 50%;
            -webkit-transform: translateY(calc(-50% + 2px));
            transform: translateY(calc(-50% + 2px));
            color: var(--system-text-on-elevation-primary);
            font-weight: 600;
            font-size: 16px;
            line-height: 20px
        }

        .betslip-stake-input.betslip-stake-input .input__label {
            position: absolute;
            right: 12px;
            top: 6px;
            z-index: 1;
            color: var(--system-text-on-elevation-tertiary);
            font-weight: 400;
            font-size: 10px;
            line-height: 1.2;
            text-transform: uppercase
        }
}

.stake-picker {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    border-radius: var(--radius-sm,4px);
    border: 1px solid var(--system-border-on-elevation-secondary);
    overflow: hidden
}

.stake-picker .stake-picker-option {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-flex: 1;
    -ms-flex: 1;
    flex: 1;
    max-width: 42px;
    padding: 0 6px;
    color: var(--system-text-on-elevation-tertiary);
    -webkit-transition: color .12s linear,background-color .12s linear;
    transition: color .12s linear,background-color .12s linear;
    cursor: pointer;
    font-weight: 600;
    font-size: 14px;
    line-height: 22px;
    text-align: center
}

    .stake-picker .stake-picker-option:not(:last-child) {
        border-right: 1px solid var(--system-border-on-elevation-secondary)
    }

    .stake-picker .stake-picker-option:hover:not(.is-selected) {
        background-color: var(--component-button-tertiary-bg-hover)
    }

.stake-picker .stake-picker-option.is-selected {
    color: var(--system-text-on-color-primary);
    background-color: var(--component-button-primary-bg)
}

.stake-picker .stake-picker-option .currency {
    display: none
}

@media only screen and (max-width: 1279px) {
    .stake-picker {
        -webkit-box-pack: justify;
        -ms-flex-pack: justify;
        justify-content: space-between;
        border-radius: 0;
        background-color: transparent;
        border: unset;
        width: 100%;
        gap: 12px
    }

    .stake-picker .stake-picker-option {
        -webkit-box-flex: 1;
        -ms-flex: 1 1 32px;
        flex: 1 1 32px;
        max-width: unset;
        padding: 8px 12px;
        border: unset !important;
        border-radius: var(--radius-md,6px);
        background-color: var(--component-button-stake-bg);
        color: var(--component-button-stake-text);
        font-weight: 600;
        font-size: 14px;
        line-height: 18px
    }

    .stake-picker .stake-picker-option .currency {
        margin-left: 2px;
        display: block;
        font-weight: 400;
        font-size: 12px;
        line-height: 16px
    }
}

.betslip-stake {
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between
}

.betslip-stake .predefined-stake, .betslip-stake {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 8px
}

.betslip-stake .predefined-stake-label {
    color: var(--system-text-on-elevation-secondary);
    font-weight: 600;
    font-size: 12px;
    line-height: 1.5
}

.betslip-stake .stake-input {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    gap: 4px
}

.betslip-stake .stake-input-label {
    color: var(--system-text-on-elevation-secondary);
    font-weight: 400;
    font-size: 10px; 
    line-height: 1.4
}

@media only screen and (max-width: 1279px) {
    .betslip-stake {
        -webkit-box-orient: vertical;
        -webkit-box-direction: normal;
        -ms-flex-direction: column;
        flex-direction: column;
        -webkit-box-align: stretch;
        -ms-flex-align: stretch;
        align-items: stretch
    }

    .betslip-stake .predefined-stake-label, .betslip-stake .stake-input-label {
        display: none
    }
}

.betslip-tax {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    padding: 6px 0;
    color: var(--system-text-on-elevation-secondary);
    font-weight: 400;
    font-size: 10px;
    line-height: 1.2
}

.betslip-tax .final-stake {
    text-align: right
}

.betslip-systems {
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-auto-rows: auto;
    grid-gap: 8px;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    padding: 16px;
    background-color: var(--system-bg-elevation-layer-1);
    border-radius: var(--radius-md,6px)
}

    .betslip-systems:empty {
        padding: 0
    }

@media only screen and (min-width: 1280px) {
    .betslip-systems {
        grid-template-columns: repeat(4,minmax(64px,1fr));
        border-radius: var(--radius-md,6px) var(--radius-md,6px) 0 0
    }
}

.betslip-systems .betslip-system {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -ms-flex-wrap: nowrap;
    flex-wrap: nowrap;
    padding: 4px 12px;
    color: var(--system-text-on-elevation-primary);
    background-color: var(--system-bg-elevation-layer-2);
    border: 1px solid var(--system-border-on-elevation-secondary);
    border-radius: 5px;
    cursor: pointer;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    font-weight: 600;
    font-size: 14px;
    line-height: 18px;
    text-transform: uppercase;
    white-space: nowrap;
    height: 32px
}

@media only screen and (min-width: 1280px) {
    .betslip-systems .betslip-system {
        background-color: transparent;
        font-weight: 600;
        font-size: 12px;
        line-height: 16px;
        height: unset
    }
}

.betslip-systems .betslip-system--selected {
    background-color: var(--system-bg-brand);
    border-color: var(--system-bg-brand);
    color: var(--system-text-on-color-primary)
}
